namespace :angular do
    desc "Builds angular project and moves files into the correct places for deployment."
    task build: :environment do
        Dir.chdir('frontend') do
            `ng build --configuration=production`
            `ng build --configuration=production-de`
            #system("ember build  --environment=#{Rails.env}")
        end

        # Empty the public folder
        FileUtils.rm_rf("public/.", secure: true)

        # Copy the dist to public
        FileUtils.copy_entry 'frontend/dist/frontend', 'public/'

        # Move the index out of public
        FileUtils.mv 'public/index.html', 'app/views/skirental_web_frontend/reservations/show.html.erb'

        # German files
        FileUtils.mkdir 'public/de'
        FileUtils.copy_entry 'frontend/dist/frontend-de', 'public/de/'
        FileUtils.mv 'public/de/index.html', 'app/views/skirental_web_frontend/reservations/show_de.html.erb'
        file_contents = File.read('app/views/skirental_web_frontend/reservations/show_de.html.erb')
        file_contents = file_contents.gsub(/lang="en"/, 'lang="de"')
        file_contents = file_contents.gsub(/base href="\/"/, 'base href="/de/"')
        File.open('app/views/skirental_web_frontend/reservations/show_de.html.erb', "w") {|file| file.puts file_contents }
    end

end
